Bug 1412757 - [nova] host-evacuate-live causing errors
Summary: [nova] host-evacuate-live causing errors
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Eoghan Glynn
QA Contact: Prasanth Anbalagan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 17:29 UTC by Chaitanya
Modified: 2020-02-14 18:27 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-30 16:31:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Chaitanya 2017-01-12 17:29:32 UTC
Description of problem:
nova host-evacuate-live is causing errors while evacuating instances:

Error while live migrating instance: <compute-node> is not on shared storage: Live migration can not be used without shared storage except a booted from volume VM which does not have a local disk. (HTTP 400)

Nova uses nfs shared storage.

Version-Release number of selected component (if applicable):
RHOS 7

How reproducible:
Every time

Steps to Reproduce:
1. Perform nova host-evacuate-live on compute node.

Actual results:
Host evacuation does not succeed.

Expected results:
Host evacuation should succeed.

Additional info:
Performing host-evacuate-live multiple times makes the evacuation successful.

Comment 6 awaugama 2017-08-30 17:51:38 UTC
WONTFIX/NOTABUG therefore QE Won't automate


Note You need to log in before you can comment on or make changes to this bug.